package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcResource;

/**
 * 学习资料Service接口
 * 
 * @author cmc
 * @date 2025-03-05
 */
public interface ICmcResourceService 
{
    /**
     * 查询学习资料
     * 
     * @param resourceId 学习资料主键
     * @return 学习资料
     */
    public CmcResource selectCmcResourceByResourceId(Integer resourceId);

    /**
     * 查询学习资料
     *
     * @param cmcResource 学习资料
     * @return 学习资料
     */
    public List<CmcResource> selectCmcResourceListBelow(CmcResource cmcResource);

    /**
     * 查询学习资料列表
     * 
     * @param cmcResource 学习资料
     * @return 学习资料集合
     */
    public List<CmcResource> selectCmcResourceList(CmcResource cmcResource);

    /**
     * 新增学习资料
     * 
     * @param cmcResource 学习资料
     * @return 结果
     */
    public int insertCmcResource(CmcResource cmcResource);

    /**
     * 修改学习资料
     * 
     * @param cmcResource 学习资料
     * @return 结果
     */
    public int updateCmcResource(CmcResource cmcResource);

    /**
     * 批量删除学习资料
     * 
     * @param resourceIds 需要删除的学习资料主键集合
     * @return 结果
     */
    public int deleteCmcResourceByResourceIds(Integer[] resourceIds);

    /**
     * 删除学习资料信息
     * 
     * @param resourceId 学习资料主键
     * @return 结果
     */
    public int deleteCmcResourceByResourceId(Integer resourceId);
}
